
Redmine - Feature #13746

Highlighting of source link target line

2013-04-11 17:40 - Filou Centrinov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed   

Description

It would be really useful if the target line from a source link is highlighted.

Example:

Source link: source:tags/2.3.0/Gemfile#L3

The 3rd line should be highlighted:

 

This could be done with pure css. To make the patch complete also app/views/common/_diff.html.erb and

app/views/repositories/annotate.html.erb with appropriate css-modifications should be applied.

Related issues:

Has duplicate Redmine - Feature #6362: Highlight lines via URL in repository ... Closed 2010-09-11

Associated revisions

Revision 11857 - 2013-05-18 09:09 - Jean-Philippe Lang

Highlighting of source link target line (#13746).

Revision 11858 - 2013-05-18 09:10 - Jean-Philippe Lang

Highlighting of source link target line for annotate view (#13746).

History

#1 - 2013-04-11 17:57 - Etienne Massip

- Target version set to Candidate for next major release

#2 - 2013-04-11 18:01 - Dipan Mehta

+1. This is very nice.

#3 - 2013-05-18 03:07 - Filou Centrinov

UPDATE: There is no need to patch also app/views/common/_diff.html.erb or app/views/repositories/annotate.html.erb, because we can't set a link to

a line of diff code.

#4 - 2013-05-18 04:47 - Mischa The Evil

Filou Centrinov wrote:

UPDATE: There is no need to patch also app/views/common/_diff.html.erb or app/views/repositories/annotate.html.erb, because we can't set a

link to a line of diff code.
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.3.0/Gemfile#L3


 You are right about app/views/common/_diff.html.erb which doesn't have the "clickable line #'s". app/views/repositories/annotate.html.erb on the other

hand actually has the same 'line #' representation as app/views/common/_file.html.erb so in that way it would make sense to also apply this patch to

this view.

Edit by MTE: of course you are right that we can't link to a line in the annotation view...

Ref: #2835 (r2527).

#5 - 2013-05-18 09:11 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version changed from Candidate for next major release to 2.4.0

- Resolution set to Fixed

Patch committed in r11858, thanks! I've changed the annotate view for consistency. There's no magic link available we can still link to it manually.

#6 - 2013-12-05 06:54 - Toshi MARUYAMA

- Has duplicate Feature #6362: Highlight lines via URL in repository browsings file view added

Files

line_highlight_target.png 12.5 KB 2013-04-11 Filou Centrinov

target_highlight.patch 1.14 KB 2013-04-11 Filou Centrinov
